<kendo-grid [data]="gridData" [height]="410" [loading]="gridData.loading" [pageSize]="state.take" [skip]="state.skip"
  [sort]="state.sort" [sortable]="true" [pageable]="true" [height]="550" [navigable]="true"
  (dataStateChange)="dataStateChange($event)">
  <kendo-grid-column field="jobStatusId" title="Job Status Id" width="250">
  </kendo-grid-column>
  <kendo-grid-column field="jobId" title="Job Id" width="250">
  </kendo-grid-column>
  <kendo-grid-column field="totalRecordCount" title="Total Record Count" width="200">
  </kendo-grid-column>
  <kendo-grid-column field="totalRecordProcessed" title="Total Record Processed" width="200">
  </kendo-grid-column>
  <kendo-grid-column field="status" title="Status" width="150">
  </kendo-grid-column>
  <div *kendoGridDetailTemplate="let dataItem">
    <app-log-status [jobStatus]="dataItem"></app-log-status>
  </div>
</kendo-grid>